#include <iostream>

// A function pointer type: int(*)(T, T)
template<typename T>
using Comparator = int(*)(T, T);

int compareInts(int a, int b) {
    return a - b;
}

int main() {
    Comparator<int> comp = &compareInts;

    std::cout << "Comparison result: " << comp(10, 20) << std::endl;

    return 0;
}

