#include <iostream>
#include <map>

template<typename T, typename Compare = std::less<T>>
using SortedMap = std::map<T, int, Compare>;

int main() {
    SortedMap<int> myMap;  // std::map<int, int, std::less<int>> by default

    myMap[3] = 30;
    myMap[1] = 10;
    myMap[2] = 20;

    for (const auto& item : myMap) {
        std::cout << item.first << " : " << item.second << std::endl;
    }

    return 0;
}

