#include <iostream>
#include <map>
#include <vector>

template<typename T>
using MapOfVectors = std::map<T, std::vector<T>>;

int main() {
    MapOfVectors<int> myMap;

    myMap[1].push_back(10);
    myMap[1].push_back(20);

    for (const auto& item : myMap[1]) {
        std::cout << item << " " << std::endl;
    }

    return 0;
}

